Nik02179.jpg=Obelisk of  Constitution of 1830, San Martín
S702176.jpg=Montevideo [Uruguay] - Plaza Independence
Nik02175.jpg=Montevideo [Uruguay] - Plaza Independence
S7021715.jpg=Montevideo [Uruguay] - interesting old food market at the port
Nik02178.jpg=Mercado de la Abundancia [market place] c1909
S702175.jpg=Montevideo [Uruguay] - Plaza Independence
Nik0217.jpg=Montevideo [Uruguay] - drelict ships waiting dismantling
S7021716.jpg=The Stevedore - Al Estibador Sculpture At Old Port Building, Montevideo, Uruguay
S7021712.jpg=Created by local sculptor Jose Belloni, the Monumento la Carreta was created in honor of the ox-cart drivers of the 19th century. The bronze and granite sculpture was first installed in 1934, and was recently restored by the artist’s grandson. It is recognized as a National Historic Monument.
S702179.jpg=Montevideo [Uruguay] - City tour
S70217Pan24.JPG=Montevideo port [Uruguay]
Montevideo.jpg=Montevideo [Uruguay] - our next port of call
S702174.jpg=Montevideo [Uruguay] - our arrival at port with the help of two tugs, then docked beside a large Celebrity ship
Nik02171.jpg=Monument to Uruguayan hero José Artigas, located in Plaza Independencia, in the neighbourhood of Ciudad Vieja, Montevideo. It was built in the 1930s
20180217_233652.jpg=Montevideo [Uruguay] - Palacio Legislative [1925]
S7021711.jpg=Mercado de la Abundancia [market place] c1909
S702178.jpg=Montevideo [Uruguay] - Plaza Independence
Nik02177.jpg=Montevideo [Uruguay] - Palacio Legislative [1925]
S7021717.jpg=Montevideo port [Uruguay]
Nik0217Pan02.JPG=Montevideo beachfront [Uruguay]
S70217.jpg=Montevideo [Uruguay]
S7021713.jpg=Montevideo [Uruguay] - interesting old food market at the port
S7021718.jpg=Montevideo beachfront [Uruguay]
S702173.jpg=Montevideo [Uruguay] - our arrival at port
S70217Pan25.JPG=Montevideo port [Uruguay]
S702177.jpg=Montevideo [Uruguay] - Plaza Independence
S7021710.jpg=Montevideo [Uruguay] - Romantic padlocks
Montevide.jpg=Montevideo [Uruguay]
Nik02176.jpg=Montevideo [Uruguay] - Plaza Independence
S7021714.jpg=Montevideo [Uruguay] - interesting old food market at the port
DSC_2656.JPG=Montevideo beachfront [Uruguay]
Nik02172.jpg=Plaza Independencia
